Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | File List | Namespace Members | Class Members | File Members | Related Pages

# SpecialActionRequest Class Reference

`#include <MotionRequest.h>`

List of all members.

## Public Types
enum | SpecialActionID { anyLeft, armLeft, armRight, anyRight, backKickLeft, backKickRight, bash, bbHeadLeftSoft, bbHeadLeftStrong, bbHeadRightSoft, bbHeadRightStrong, block, blockLeft, blockRight, cheerAssShake, cheerHappy1, cheerHappy2, cheerHappy3, cheerHappy4, cheerHappy5, cheerHappy6, cheerHeadStand, cheerHowl, cheerLegTrick, cheerNodHead, cheerSad1, cheerSad2, cheerSad3, cheerSad5, cheerSad4, cheerWaveLeft, cheerWaveRight, chestHard, chestSoft, dddBlock, dddBlockLeft, dddBlockMiddleLeft, dddBlockMiddleRight, dddBlockRight, dddGetUpLeft, dddGetUpMiddleLeft, dddGetUpMiddleRight, dddGetUpMiddle, dddGetUpRight, dddDribbleLeft, dddDribbleRight, dddPushModerate, dddTurnLeft, dddTurnRight, demoBallOnBack1, demoBallOnBack2, demoPackHeadStand, demoRemoveEars, demoRollLeft, demoRollRight, demoScratchHead, demoSit, demoStandUpsideDown, forwardKickFast, forwardKickHard, headLeft, headLeftSoft, headRight, headRightSoft, hookLeft, hookRight, kickAlongArmLeft, kickAlongArmRight, kickWithBackLegLeft, kickWithBackLegRight, leftPaw, mshAssBomb, mshNeckKick, penaltyBlockLeft, penaltyBlockRight, pushSoft, pushStrong, putLeft, putRight, rightPaw, slapLeft, slapRight, snowPlow, swing, tunnelKick, pushFromGrab, bashFromGrab, headKickFromGrab, numOfSpecialAction }
| ids for all special actions More...
## Public Member Functions
| SpecialActionRequest ()
## Static Public Member Functions
const char * | getSpecialActionIDName (SpecialActionID id)
| returns names for special action ids
SpecialActionRequest::SpecialActionID | getSpecialActionIDFromName (const char *name)
| Returns the special action id for a name.
## Public Attributes
SpecialActionID | specialActionType

## Member Enumeration Documentation

enum SpecialActionRequest::SpecialActionID

  | ids for all special actions Enumeration values:
  anyLeft |
  armLeft |
  armRight |
  anyRight |
  backKickLeft |
  backKickRight |
  bash |
  bbHeadLeftSoft |
  bbHeadLeftStrong |
  bbHeadRightSoft |
  bbHeadRightStrong |
  block |
  blockLeft |
  blockRight |
  cheerAssShake |
  cheerHappy1 |
  cheerHappy2 |
  cheerHappy3 |
  cheerHappy4 |
  cheerHappy5 |
  cheerHappy6 |
  cheerHeadStand |
  cheerHowl |
  cheerLegTrick |
  cheerNodHead |
  cheerSad1 |
  cheerSad2 |
  cheerSad3 |
  cheerSad5 |
  cheerSad4 |
  cheerWaveLeft |
  cheerWaveRight |
  chestHard |
  chestSoft |
  dddBlock |
  dddBlockLeft |
  dddBlockMiddleLeft |
  dddBlockMiddleRight |
  dddBlockRight |
  dddGetUpLeft |
  dddGetUpMiddleLeft |
  dddGetUpMiddleRight |
  dddGetUpMiddle |
  dddGetUpRight |
  dddDribbleLeft |
  dddDribbleRight |
  dddPushModerate |
  dddTurnLeft |
  dddTurnRight |
  demoBallOnBack1 |
  demoBallOnBack2 |
  demoPackHeadStand |
  demoRemoveEars |
  demoRollLeft |
  demoRollRight |
  demoScratchHead |
  demoSit |
  demoStandUpsideDown |
  forwardKickFast |
  forwardKickHard |
  headLeft |
  headLeftSoft |
  headRight |
  headRightSoft |
  hookLeft |
  hookRight |
  kickAlongArmLeft |
  kickAlongArmRight |
  kickWithBackLegLeft |
  kickWithBackLegRight |
  leftPaw |
  mshAssBomb |
  mshNeckKick |
  penaltyBlockLeft |
  penaltyBlockRight |
  pushSoft |
  pushStrong |
  putLeft |
  putRight |
  rightPaw |
  slapLeft |
  slapRight |
  snowPlow |
  swing |
  tunnelKick |
  pushFromGrab |
  bashFromGrab |
  headKickFromGrab |
  numOfSpecialAction |
Definition at line 45 of file MotionRequest.h. Referenced by getSpecialActionIDFromName().

## Constructor & Destructor Documentation

SpecialActionRequest::SpecialActionRequest | ( |  | ) | `[inline]`

| Definition at line 138 of file MotionRequest.h. References specialActionType, and swing.

## Member Function Documentation

const char* SpecialActionRequest::getSpecialActionIDName | ( | SpecialActionID | id | ) | `[inline, static]`

| returns names for special action ids Definition at line 144 of file MotionRequest.h. References bash, bashFromGrab, blockLeft, blockRight, cheerAssShake, cheerHappy1, cheerHappy2, cheerHappy3, cheerHappy4, cheerHappy5, cheerHappy6, cheerHeadStand, cheerHowl, cheerLegTrick, cheerNodHead, cheerSad1, cheerSad2, cheerSad3, cheerSad4, cheerSad5, cheerWaveLeft, cheerWaveRight, chestHard, dddBlock, dddBlockLeft, dddBlockMiddleLeft, dddBlockMiddleRight, dddBlockRight, dddDribbleLeft, dddDribbleRight, dddGetUpLeft, dddGetUpMiddle, dddGetUpMiddleLeft, dddGetUpMiddleRight, dddGetUpRight, dddPushModerate, dddTurnLeft, dddTurnRight, demoBallOnBack1, demoBallOnBack2, demoPackHeadStand, demoRemoveEars, demoRollLeft, demoRollRight, demoScratchHead, demoSit, demoStandUpsideDown, headKickFromGrab, mshAssBomb, mshNeckKick, penaltyBlockLeft, penaltyBlockRight, pushFromGrab, snowPlow, swing, and tunnelKick. Referenced by getSpecialActionIDFromName(), and MotionRequest::getSpecialActionName().

SpecialActionRequest::SpecialActionID SpecialActionRequest::getSpecialActionIDFromName | ( | const char * | name | ) | `[static]`

| Returns the special action id for a name. Definition at line 42 of file MotionRequest.cpp. References getSpecialActionIDName(), numOfSpecialAction, and SpecialActionID.

Here is the call graph for this function:

## Member Data Documentation

SpecialActionID SpecialActionRequest::specialActionType

| Definition at line 140 of file MotionRequest.h. Referenced by GT2005MotionControl::determineMotionControlState(), KickLogger::execute(), BasicBehaviorSpecialAction::execute(), Xabsl2BehaviorControl::executeIfEngineCouldNotBeCreated(), MotionRequestSymbols::getExecutedSpecialActionType(), GT2003MotionNetSpecialActions::getNextData(), MotionRequest::getSpecialActionName(), GT2003MotionNetSpecialActions::GT2003MotionNetSpecialActions(), MotionRequest::operator==(), GT2003MotionNetSpecialActions::readOdometryTable(), MotionRequest::serialize(), SpecialActionRequest(), and MotionNetNode::toExecutedMotionRequest().

The documentation for this class was generated from the following files:

- Representations/Motion/MotionRequest.h
- Representations/Motion/MotionRequest.cpp